%global srcname markdown-include
%global modname %(echo '%{srcname}' | tr - _)
%global forgeurl https://github.com/cmacmackin/%{srcname}

Name:           python-%{srcname}
Version:        0.6.0
%forgemeta
Release:        1%{?dist}
Summary:        Syntax for Python-Markdown to include other Markdown documents

License:        GPLv3
URL:            %{forgeurl}
# We use the GitHub tarball because the PyPI archive is missing LICENSE.txt.
Source0:        %{forgesource}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%global common_description %{expand:
This is an extension to Python-Markdown which provides an “include” function,
similar to that found in LaTeX (and also the C pre-processor and Fortran). It
was originally written for the FORD Fortran auto-documentation generator.}

%description %{common_description}


%generate_buildrequires
%pyproject_buildrequires -r


%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{common_description}


%prep
%autosetup -n %{srcname}-%{version}
# Remove shebang line in non-script source
sed -r -i '1{/^#!/d}' %{modname}/include.py


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}


# There are no tests.


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.*


%changelog
* Mon May 17 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-1
- Initial package
